Bug 110579 - w3c-libwww should BuildRequires: zlib-devel
Summary: w3c-libwww should BuildRequires: zlib-devel
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: w3c-libwww   
(Show other bugs)
Version: 1.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-21 15:13 UTC by Maxim Dziumanenko
Modified: 2007-04-18 16:59 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-29 10:19:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
BuildRequire zlib-devel, make -devel Require zlib-devel (734 bytes, patch)
2004-01-15 17:15 UTC, Ville Skyttä
no flags Details | Diff

Description Maxim Dziumanenko 2003-11-21 15:13:08 UTC
Description of problem:
w3c-libwww is built with --with-zlib option of %configure, so it
should mention zlib-devel in BuildRequires:

Version-Release number of selected component (if applicable):
w3c-libwww-5.4.0-7

How reproducible:
Always

Steps to Reproduce:
1.rpm -e zlib-devel
2.rpm --rebuild w3c-libwww-5.4.0-7.src.rpm
3.Wait for build errors
  
Actual results:


Expected results:


Additional info:

Comment 1 Miloslav Trmac 2003-11-21 16:35:26 UTC
Triage->Easyfix

Comment 2 Ville Skyttä 2004-01-15 17:15:55 UTC
Created attachment 97033 [details]
BuildRequire zlib-devel, make -devel Require zlib-devel

Additionally, "libwww-config --libs" outputs: "[...] -lwwwutils -lmd5 -ldl
-lz", so w3c-libwww-devel should also have "Requires: zlib-devel".  Fix
attached, please apply.

Comment 3 Harald Hoyer 2004-01-29 10:19:50 UTC
thx


Note You need to log in before you can comment on or make changes to this bug.